Update from 2.9.0 beta2 to beta4 failed (my site is down)

Hello, please help me to bring site alive.

Errors logs below. I try to use discourse-doctor but it doesn’t help.

I, [2022-05-11T07:32:19.831848 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate'
2022-05-11 07:32:24.341 UTC [2330] discourse@discourse ERROR:  permission denied to create extension "unaccent"
2022-05-11 07:32:24.341 UTC [2330] discourse@discourse HINT:  Must be superuser to create this extension.
2022-05-11 07:32:24.341 UTC [2330] discourse@discourse STATEMENT:  CREATE EXTENSION IF NOT EXISTS unaccent
rake aborted!
PG::InsufficientPrivilege: ERROR:  permission denied to create extension "unaccent"
HINT:  Must be superuser to create this extension.
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rack-mini-profiler-3.0.0/lib/patches/db/pg.rb:110:in `exec'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rack-mini-profiler-3.0.0/lib/patches/db/pg.rb:110:in `async_exec'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/mini_sql-1.4.0/lib/mini_sql/postgres/connection.rb:209:in `run'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/mini_sql-1.4.0/lib/mini_sql/active_record_postgres/connection.rb:38:in `block in run'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/mini_sql-1.4.0/lib/mini_sql/active_record_postgres/connection.rb:34:in `block in with_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/mini_sql-1.4.0/lib/mini_sql/active_record_postgres/connection.rb:34:in `with_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/mini_sql-1.4.0/lib/mini_sql/active_record_postgres/connection.rb:38:in `run'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/mini_sql-1.4.0/lib/mini_sql/postgres/connection.rb:181:in `exec'
/var/www/discourse/lib/tasks/db.rake:218:in `block (3 levels) in <main>'
/var/www/discourse/lib/tasks/db.rake:218:in `each'
/var/www/discourse/lib/tasks/db.rake:218:in `block (2 levels) in <main>'
/var/www/discourse/lib/distributed_mutex.rb:33:in `block in synchronize'
/var/www/discourse/lib/distributed_mutex.rb:29:in `synchronize'
/var/www/discourse/lib/distributed_mutex.rb:29:in `synchronize'
/var/www/discourse/lib/distributed_mutex.rb:14:in `synchronize'
/var/www/discourse/lib/tasks/db.rake:210:in `block in <main>'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rake-13.0.6/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:25:in `load'
/usr/local/bin/bundle:25:in `<main>'
Tasks: TOP => db:migrate
(See full trace by running task with --trace)
I, [2022-05-11T07:32:24.370907 #1]  INFO -- :
I, [2022-05-11T07:32:24.371509 #1]  INFO -- : Terminating async processes
I, [2022-05-11T07:32:24.371622 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/10/bin/postmaster -D /etc/postgresql/10/main pid: 1719
I, [2022-05-11T07:32:24.371705 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 1836
2022-05-11 07:32:24.371 UTC [1719] LOG:  received fast shutdown request
1836:signal-handler (1652254344) Received SIGTERM scheduling shutdown...
1836:M 11 May 2022 07:32:24.377 # User requested shutdown...
1836:M 11 May 2022 07:32:24.377 * Saving the final RDB snapshot before exiting.
2022-05-11 07:32:24.508 UTC [1719] LOG:  aborting any active transactions
2022-05-11 07:32:24.514 UTC [1719] LOG:  worker process: logical replication launcher (PID 1728) exited with exit code 1
2022-05-11 07:32:24.515 UTC [1723] LOG:  shutting down
2022-05-11 07:32:24.558 UTC [1719] LOG:  database system is shut down
1836:M 11 May 2022 07:32:30.043 * DB saved on disk
1836:M 11 May 2022 07:32:30.043 # Redis is now ready to exit, bye bye...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate' failed with return #<Process::Status: pid 2316 exit 1>
Location of failure: /usr/local/lib/ruby/gems/2.7.0/gems/pups-1.1.1/lib/pups/exec_command.rb:117:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"db_migrate", "cmd"=>["su discourse -c 'bundle exec rake db:migrate'"]}
bootstrap failed with exit code 1
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
8069e918f9bcb61fbf533bf8f8fd3247d5ba20f12e9a704344adf44453b73449
==================== END REBUILD LOG ====================
Failed to rebuild app.

Checking your domain name . . .

Connection to www.dastereo.ru succeeded.
You should probably remove any non-standard plugins and rebuild.
Attempting to restart existing container. . .
x86_64 arch detected.
WARNING: containers/app.yml file is world-readable. You can secure this file by running: chmod o-rwx containers/app.yml

starting up existing container
+ /usr/bin/docker start app
app
a35517feb14f        local_discourse/app   "/sbin/boot"        2 months ago        Up Less than a second   0.0.0.0:80->80/tcp, 0.0.0.0:443->443/tcp, 0.0.0.0:2222->22/tcp   app
Restarted the container.


==================== PLUGINS ====================
          - git clone https://github.com/discourse/docker_manager.git
##        - git clone https://github.com/discourse/discourse-vk-auth.git
##        - git clone https://github.com/discourse/discourse-whos-online.git
##        - git clone https://github.com/discourse/discourse-reactions.git
##        - git clone https://github.com/discourse/discourse-categories-suppressed.git
##        - git clone https://github.com/jannolii/discourse-topic-trade-buttons.git
##        - git clone https://github.com/angusmcleod/discourse-topic-previews.git

WARNING:
You have what appear to be non-official plugins.
If you are having trouble, you should disable them and try rebuilding again.

See https://github.com/discourse/discourse/blob/main/lib/plugin/metadata.rb for the official list.

========================================
Discourse version at www.dastereo.ru: NOT FOUND
Discourse version at localhost: NOT FOUND


==================== MEMORY INFORMATION ====================
RAM (MB): 16434

             total       used       free     shared    buffers     cached
Mem:         16048      13261       2787          1       1256       7721
-/+ buffers/cache:       4283      11765
Swap:         2047         16       2031

==================== DISK SPACE CHECK ====================
---------- OS Disk Space ----------
Filesystem                 Size  Used Avail Use% Mounted on
/dev/disk/by-label/DOROOT  315G  225G   75G  76% /
/dev/disk/by-label/DOROOT  315G  225G   75G  76% /var/lib/docker/aufs
/dev/disk/by-label/DOROOT  315G  225G   75G  76% /
/dev/disk/by-label/DOROOT  315G  225G   75G  76% /var/lib/docker/plugins
/dev/disk/by-label/DOROOT  315G  225G   75G  76% /

==================== DISK INFORMATION ====================

WARNING: GPT (GUID Partition Table) detected on '/dev/vda'! The util fdisk doesn't support GPT. Use GNU Parted.

Disk /dev/sda doesn't contain a valid partition table

Disk /dev/vda: 343.6 GB, 343597383680 bytes
255 heads, 63 sectors/track, 41773 cylinders, total 671088640 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System
/dev/vda1               1   671088639   335544319+  ee  GPT

Disk /dev/sda: 429.5 GB, 429496729600 bytes
255 heads, 63 sectors/track, 52216 cylinders, total 838860800 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

==================== END DISK INFORMATION ====================

==================== MAIL TEST ====================
For a robust test, get an address from http://www.mail-tester.com/
Or just send a test message to yourself.
Email address for mail test? ('n' to skip) [dmitry.krasnoperov@gmail.com]: т
Sending mail to т. . .
unknown shorthand flag: 'w' in -w
See 'docker exec --help'.

Replacing: SMTP_PASSWORD
Replacing: LETSENCRYPT_ACCOUNT_EMAIL
Replacing: DEVELOPER_EMAILS
Replacing: DISCOURSE_DB_PASSWORD
Replacing: Sending mail to

==================== DONE! ====================
Would you like to serve a publicly available version of this file? (Y/n)n
Publicly available log not generated.

You can examine the output of this script with
LESS=-Ri less /tmp/discourse-debug.txt

BUT FIRST, make sure that you know the first three commands below!!!

Commands to know when viewing the file with the above command (called 'less'):
q              -- quit
/error<ENTER>  -- search for the word 'error'
n              -- search for the next occurrence
g              -- go to the beginning of the file
f              -- go forward a page
b              -- go back a page
G              -- go to the end of the file

Your database user lacks privileges to install extensions.

Are you using external postgres? You may want to check the privileges of database user.

Hello,
I do use internal postgres. How to check and fix privileges of database user?

Have you made any changes to your app.yml in the past to use an older version of postgres?

Yes, I don’t have spare space to upgrade to PG12 so I replace it to

templates:

  • “templates/postgres.10.template.yml”

Yes, that’s why you’re experiencing issues. Postgres 10 is too old at this point.

You can spin up a new discourse server and restore a backup of your site there.

If you haven’t removed the current image. The site should come online with

./launcher start app

As soon as you’re able to access the site, you want to go take a full backup and then restore it to a new server running latest discourse.

1 Like

After ./launcher start app

I got

x86_64 arch detected.
WARNING: containers/app.yml file is world-readable. You can secure this file by running: chmod o-rwx containers/app.yml
a35517feb14f
Nothing to do, your container has already started!

But site is 502 Bad Gateway now.

I have my da-stereo-2022-05-10-090939-v20220215015538.sql backup (without images) and I have images backup separately. Is it enough to spin up new installation?

It is not recommended but you could give it a shot.

OK, thanks!

But is there a way to fix my current installation?

Unless you have enough space on the server and are willing to spend some time figuring out and upgrading the server by hand, I don’t think there is a way to do so.

What do you mean? I need to upgrade to PG13? But my backup from PG10.

How much space I need on the server?
And which server I need to upgrade by hand?

There is no defined way of getting it done, You’ll have to act as per the issues you experience during the upgrade.

At least 2x the current installation size. I’d say have at least 3x the space to ensure that you’re not stuck.

You’ll have to start with the standard postgres upgrade process:

replace the postgres 10 template with the default postgres.template.yml and then try to rebuild. given that you have enough space on your server, an upgrade of database should be performed automatically. follow the instructions on console.

If the upgrade fails, the only easiest way out would be to restore a discourse backup to a new install.

The general process is described in this topic: PostgreSQL 13 update

1 Like

You can restore a PG 10 backup to PG 13.

You need enough space to restore your database? And then you’d rsync the files over by hand a described in the move to be server link.

If you love the old server for some reason, You could move it back to the same server, where you would do a clean installation and then restore the new backup.

2 Likes

Please try to deploy your site again. It should be working fine. Sorry for the inconvenience.

The problem is that we rely on some extensions for some features to work and your DB user does not have enough privileges to enable the extensions. I merged a fix to show an error message when that happens:

6 Likes

Thank you so much for help!
After rebuild app I got the same errors

stgresql.conf
I, [2022-05-11T14:06:36.779527 #1]  INFO -- : Replacing (?-mix:#?log_min_duration_statement *=.*) with log_min_duration_statement = $db_log_min_duration_statement in /etc/postgresql/10/main/postgresql.conf
I, [2022-05-11T14:06:36.779903 #1]  INFO -- : Replacing (?-mix:^#local +replication +postgres +peer$) with local replication postgres  peer in /etc/postgresql/10/main/pg_hba.conf
I, [2022-05-11T14:06:36.780283 #1]  INFO -- : Replacing (?-mix:^host.*all.*all.*127.*$) with host all all 0.0.0.0/0 md5 in /etc/postgresql/10/main/pg_hba.conf
I, [2022-05-11T14:06:36.780668 #1]  INFO -- : Replacing (?-mix:^host.*all.*all.*::1\/128.*$) with host all all ::/0 md5 in /etc/postgresql/10/main/pg_hba.conf
I, [2022-05-11T14:06:36.781007 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/10/bin/postmaster -D /etc/postgresql/10/main
I, [2022-05-11T14:06:36.783732 #1]  INFO -- : > sleep 5
2022-05-11 14:06:36.806 UTC [1711] LOG:  listening on IPv4 address "0.0.0.0", port 5432
2022-05-11 14:06:36.806 UTC [1711] LOG:  listening on IPv6 address "::", port 5432
2022-05-11 14:06:37.025 UTC [1711] LOG:  listening on Unix socket "/var/run/postgresql/.s.PGSQL.5432"
2022-05-11 14:06:37.079 UTC [1714] LOG:  database system was shut down at 2022-05-11 07:32:24 UTC
2022-05-11 14:06:37.088 UTC [1711] LOG:  database system is ready to accept connections
I, [2022-05-11T14:06:41.787174 #1]  INFO -- :
I, [2022-05-11T14:06:41.788268 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2022-05-11 14:06:41.860 UTC [1724] postgres@postgres ERROR:  database "discourse" already exists
2022-05-11 14:06:41.860 UTC [1724] postgres@postgres STATEMENT:  CREATE DATABASE discourse;
createdb: database creation failed: ERROR:  database "discourse" already exists
I, [2022-05-11T14:06:41.863507 #1]  INFO -- :
I, [2022-05-11T14:06:41.864434 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2022-05-11 14:06:41.942 UTC [1735] postgres@discourse ERROR:  role "discourse" already exists
2022-05-11 14:06:41.942 UTC [1735] postgres@discourse STATEMENT:  create user discourse;
ERROR:  role "discourse" already exists
I, [2022-05-11T14:06:41.944719 #1]  INFO -- :
I, [2022-05-11T14:06:41.945104 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2022-05-11T14:06:42.029108 #1]  INFO -- : GRANT

I, [2022-05-11T14:06:42.029645 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2022-05-11T14:06:42.116003 #1]  INFO -- : ALTER SCHEMA

I, [2022-05-11T14:06:42.116626 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2022-05-11T14:06:42.193405 #1]  INFO -- : CREATE EXTENSION

I, [2022-05-11T14:06:42.193820 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2022-05-11T14:06:42.277646 #1]  INFO -- : CREATE EXTENSION

I, [2022-05-11T14:06:42.278076 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2022-05-11T14:06:42.351783 #1]  INFO -- : CREATE EXTENSION

I, [2022-05-11T14:06:42.352644 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2022-05-11T14:06:42.428638 #1]  INFO -- : CREATE EXTENSION

I, [2022-05-11T14:06:42.428966 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2022-05-11T14:06:42.431512 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2022-05-11T14:06:42.510669 #1]  INFO -- : File > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2022-05-11T14:06:42.515094 #1]  INFO -- : File > /var/spool/cron/crontabs/postgres  chmod:   chown:
I, [2022-05-11T14:06:42.515275 #1]  INFO -- : > echo postgres installed!
I, [2022-05-11T14:06:42.518311 #1]  INFO -- : postgres installed!

I, [2022-05-11T14:06:42.524709 #1]  INFO -- : File > /etc/service/redis/run  chmod: +x  chown:
I, [2022-05-11T14:06:42.532360 #1]  INFO -- : File > /etc/service/redis/log/run  chmod: +x  chown:
I, [2022-05-11T14:06:42.540851 #1]  INFO -- : File > /etc/runit/3.d/10-redis  chmod: +x  chown:
I, [2022-05-11T14:06:42.541113 #1]  INFO -- : Replacing daemonize yes with  in /etc/redis/redis.conf
I, [2022-05-11T14:06:42.541730 #1]  INFO -- : Replacing (?-mix:^pidfile.*$) with  in /etc/redis/redis.conf
I, [2022-05-11T14:06:42.543043 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2022-05-11T14:06:42.546574 #1]  INFO -- :
I, [2022-05-11T14:06:42.547153 #1]  INFO -- : Replacing (?-mix:^logfile.*$) with logfile "" in /etc/redis/redis.conf
I, [2022-05-11T14:06:42.547651 #1]  INFO -- : Replacing (?-mix:^bind .*$) with  in /etc/redis/redis.conf
I, [2022-05-11T14:06:42.548843 #1]  INFO -- : Replacing (?-mix:^dir .*$) with dir /shared/redis_data in /etc/redis/redis.conf
I, [2022-05-11T14:06:42.549531 #1]  INFO -- : Replacing (?-mix:^protected-mode yes) with protected-mode no in /etc/redis/redis.conf
I, [2022-05-11T14:06:42.550080 #1]  INFO -- : Replacing # io-threads 4 with io-threads $redis_io_threads in /etc/redis/redis.conf
I, [2022-05-11T14:06:42.550748 #1]  INFO -- : > echo redis installed
I, [2022-05-11T14:06:42.554376 #1]  INFO -- : redis installed

I, [2022-05-11T14:06:42.554580 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2022-05-11T14:06:42.561563 #1]  INFO -- : logfile ""

I, [2022-05-11T14:06:42.562042 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2022-05-11T14:06:42.565971 #1]  INFO -- : > sleep 10
1828:C 11 May 2022 14:06:42.576 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
1828:C 11 May 2022 14:06:42.576 # Redis version=6.2.6, bits=64, commit=00000000, modified=0, pid=1828, just started
1828:C 11 May 2022 14:06:42.576 # Configuration loaded
1828:M 11 May 2022 14:06:42.576 * monotonic clock: POSIX clock_gettime
1828:M 11 May 2022 14:06:42.577 * Running mode=standalone, port=6379.
1828:M 11 May 2022 14:06:42.577 # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn is set to the lower value of 128.
1828:M 11 May 2022 14:06:42.577 # Server initialized
1828:M 11 May 2022 14:06:42.577 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
1828:M 11 May 2022 14:06:42.577 # WARNING you have Transparent Huge Pages (THP) support enabled in your kernel. This will create latency and memory usage issues with Redis. To fix this issue run the command 'echo madvise > /sys/kernel/mm/transparent_hugepage/enabled' as root, and add it to your /etc/rc.local in order to retain the setting after a reboot. Redis must be restarted after THP is disabled (set to 'madvise' or 'never').
1828:M 11 May 2022 14:06:42.578 * Loading RDB produced by version 6.2.6
1828:M 11 May 2022 14:06:42.578 * RDB age 23658 seconds
1828:M 11 May 2022 14:06:42.578 * RDB memory usage when created 578.77 Mb
1828:M 11 May 2022 14:06:44.736 # Done loading RDB, keys loaded: 37302, keys expired: 14975.
1828:M 11 May 2022 14:06:44.736 * DB loaded from disk: 2.158 seconds
1828:M 11 May 2022 14:06:44.736 * Ready to accept connections
I, [2022-05-11T14:06:52.570311 #1]  INFO -- :
I, [2022-05-11T14:06:52.571177 #1]  INFO -- : > thpoff echo "thpoff is installed!"
I, [2022-05-11T14:06:52.577565 #1]  INFO -- : thpoff is installed!

I, [2022-05-11T14:06:52.577800 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2022-05-11T14:06:52.684259 #1]  INFO -- :
I, [2022-05-11T14:06:52.684959 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2022-05-11T14:06:52.795343 #1]  INFO -- :
I, [2022-05-11T14:06:52.795716 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2022-05-11T14:06:52.892589 #1]  INFO -- :
I, [2022-05-11T14:06:52.892891 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2022-05-11T14:06:52.896270 #1]  INFO -- :
I, [2022-05-11T14:06:52.899939 #1]  INFO -- : File > /etc/cron.d/anacron  chmod:   chown:
I, [2022-05-11T14:06:52.905986 #1]  INFO -- : File > /etc/runit/1.d/copy-env  chmod: +x  chown:
I, [2022-05-11T14:06:52.913249 #1]  INFO -- : File > /etc/service/unicorn/run  chmod: +x  chown:
I, [2022-05-11T14:06:52.921036 #1]  INFO -- : File > /etc/service/nginx/run  chmod: +x  chown:
I, [2022-05-11T14:06:52.928027 #1]  INFO -- : File > /etc/runit/3.d/01-nginx  chmod: +x  chown:
I, [2022-05-11T14:06:52.934267 #1]  INFO -- : File > /etc/runit/3.d/02-unicorn  chmod: +x  chown:
I, [2022-05-11T14:06:52.934455 #1]  INFO -- : Replacing # postgres with sv start postgres || exit 1 in /etc/service/unicorn/run
I, [2022-05-11T14:06:52.934828 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2022-05-11T14:06:52.937774 #1]  INFO -- : > cd /var/www/discourse && git reset --hard
1855:C 11 May 2022 14:06:52.946 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
1855:C 11 May 2022 14:06:52.946 # Redis version=6.2.6, bits=64, commit=00000000, modified=0, pid=1855, just started
1855:C 11 May 2022 14:06:52.946 # Configuration loaded
1855:M 11 May 2022 14:06:52.947 * monotonic clock: POSIX clock_gettime
1855:M 11 May 2022 14:06:52.947 # Warning: Could not create server TCP listening socket *:6379: bind: Address already in use
1855:M 11 May 2022 14:06:52.947 # Failed listening on port 6379 (TCP), aborting.
Updating files: 100% (31051/31051), done.
I, [2022-05-11T14:06:56.578349 #1]  INFO -- : HEAD is now at 6fc52d95 DEV: Remove scoped order warning in PostDestroyer.

I, [2022-05-11T14:06:56.578537 #1]  INFO -- : > cd /var/www/discourse && git clean -f
I, [2022-05-11T14:06:56.717688 #1]  INFO -- :
I, [2022-05-11T14:06:56.718416 #1]  INFO -- : > cd /var/www/discourse && git remote set-branches --add origin main
I, [2022-05-11T14:06:56.724007 #1]  INFO -- :
I, [2022-05-11T14:06:56.724135 #1]  INFO -- : > cd /var/www/discourse && git remote set-branches origin tests-passed
I, [2022-05-11T14:06:56.729607 #1]  INFO -- :
I, [2022-05-11T14:06:56.729884 #1]  INFO -- : > cd /var/www/discourse && git fetch --depth 1 origin tests-passed
From https://github.com/discourse/discourse
 * branch              tests-passed -> FETCH_HEAD
 * [new branch]        tests-passed -> origin/tests-passed
I, [2022-05-11T14:06:59.121360 #1]  INFO -- :
I, [2022-05-11T14:06:59.121488 #1]  INFO -- : > cd /var/www/discourse && git checkout tests-passed
Switched to a new branch 'tests-passed'
I, [2022-05-11T14:07:00.222763 #1]  INFO -- : Branch 'tests-passed' set up to track remote branch 'tests-passed' from 'origin'.

I, [2022-05-11T14:07:00.223001 #1]  INFO -- : > cd /var/www/discourse && mkdir -p tmp
I, [2022-05-11T14:07:00.228175 #1]  INFO -- :
I, [2022-05-11T14:07:00.228495 #1]  INFO -- : > cd /var/www/discourse && chown discourse:www-data tmp
I, [2022-05-11T14:07:00.234500 #1]  INFO -- :
I, [2022-05-11T14:07:00.234701 #1]  INFO -- : > cd /var/www/discourse && mkdir -p tmp/pids
I, [2022-05-11T14:07:00.239935 #1]  INFO -- :
I, [2022-05-11T14:07:00.240093 #1]  INFO -- : > cd /var/www/discourse && mkdir -p tmp/sockets
I, [2022-05-11T14:07:00.245991 #1]  INFO -- :
I, [2022-05-11T14:07:00.246163 #1]  INFO -- : > cd /var/www/discourse && touch tmp/.gitkeep
I, [2022-05-11T14:07:00.251235 #1]  INFO -- :
I, [2022-05-11T14:07:00.251454 #1]  INFO -- : > cd /var/www/discourse && mkdir -p                    /shared/log/rails
I, [2022-05-11T14:07:00.256407 #1]  INFO -- :
I, [2022-05-11T14:07:00.256646 #1]  INFO -- : > cd /var/www/discourse && bash -c "touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log"
I, [2022-05-11T14:07:00.264498 #1]  INFO -- :
I, [2022-05-11T14:07:00.264759 #1]  INFO -- : > cd /var/www/discourse && bash -c "ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log /var/www/discourse/log"
I, [2022-05-11T14:07:00.273382 #1]  INFO -- :
I, [2022-05-11T14:07:00.273601 #1]  INFO -- : > cd /var/www/discourse && bash -c "mkdir -p           /shared/{uploads,backups}"
I, [2022-05-11T14:07:00.281529 #1]  INFO -- :
I, [2022-05-11T14:07:00.281737 #1]  INFO -- : > cd /var/www/discourse && bash -c "ln    -s           /shared/{uploads,backups} /var/www/discourse/public"
I, [2022-05-11T14:07:00.288754 #1]  INFO -- :
I, [2022-05-11T14:07:00.288978 #1]  INFO -- : > cd /var/www/discourse && bash -c "mkdir -p           /shared/tmp/{backups,restores}"
I, [2022-05-11T14:07:00.295662 #1]  INFO -- :
I, [2022-05-11T14:07:00.295852 #1]  INFO -- : > cd /var/www/discourse && bash -c "ln    -s           /shared/tmp/{backups,restores} /var/www/discourse/tmp"
I, [2022-05-11T14:07:00.302740 #1]  INFO -- :
I, [2022-05-11T14:07:00.302888 #1]  INFO -- : > cd /var/www/discourse && chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp
I, [2022-05-11T14:07:22.780286 #1]  INFO -- :
I, [2022-05-11T14:07:22.781068 #1]  INFO -- : > cd /var/www/discourse && find public/plugins/ -maxdepth 1 -xtype l -delete
I, [2022-05-11T14:07:22.787258 #1]  INFO -- :
I, [2022-05-11T14:07:22.787461 #1]  INFO -- : Replacing # redis with sv start redis || exit 1 in /etc/service/unicorn/run
I, [2022-05-11T14:07:22.788102 #1]  INFO -- : > cd /var/www/discourse/plugins && mkdir -p plugins
I, [2022-05-11T14:07:22.792875 #1]  INFO -- :
I, [2022-05-11T14:07:22.792966 #1]  INFO -- : > cd /var/www/discourse/plugins && git clone https://github.com/discourse/docker_manager.git
Cloning into 'docker_manager'...
I, [2022-05-11T14:07:23.870152 #1]  INFO -- :
I, [2022-05-11T14:07:23.870649 #1]  INFO -- : > cp /var/www/discourse/config/nginx.sample.conf /etc/nginx/conf.d/discourse.conf
I, [2022-05-11T14:07:23.875467 #1]  INFO -- :
I, [2022-05-11T14:07:23.875624 #1]  INFO -- : > rm /etc/nginx/sites-enabled/default
I, [2022-05-11T14:07:23.878764 #1]  INFO -- :
I, [2022-05-11T14:07:23.878898 #1]  INFO -- : > mkdir -p /var/nginx/cache
I, [2022-05-11T14:07:23.881881 #1]  INFO -- :
I, [2022-05-11T14:07:23.882219 #1]  INFO -- : Replacing pid /run/nginx.pid; with daemon off; in /etc/nginx/nginx.conf
I, [2022-05-11T14:07:23.883093 #1]  INFO -- : Replacing (?m-ix:upstream[^\}]+\}) with upstream discourse { server 127.0.0.1:3000; } in /etc/nginx/conf.d/discourse.conf
I, [2022-05-11T14:07:23.883523 #1]  INFO -- : Replacing (?-mix:server_name.+$) with server_name _ ; in /etc/nginx/conf.d/discourse.conf
I, [2022-05-11T14:07:23.884020 #1]  INFO -- : Replacing (?-mix:client_max_body_size.+$) with client_max_body_size $upload_size ; in /etc/nginx/conf.d/discourse.conf
I, [2022-05-11T14:07:23.884505 #1]  INFO -- : Replacing (?-mix:worker_connections.+$) with worker_connections $nginx_worker_connections ; in /etc/nginx/nginx.conf
I, [2022-05-11T14:07:23.884965 #1]  INFO -- : > echo "done configuring web"
I, [2022-05-11T14:07:23.888448 #1]  INFO -- : done configuring web

I, [2022-05-11T14:07:23.888704 #1]  INFO -- : Replacing (?-mix:sendfile.+on;) with server_names_hash_bucket_size 64;
sendfile on;
 in /etc/nginx/nginx.conf
I, [2022-05-11T14:07:23.893736 #1]  INFO -- : File > /etc/nginx/conf.d/discourse_redirect_1.conf  chmod:   chown:
I, [2022-05-11T14:07:23.894015 #1]  INFO -- : > cd /var/www/discourse && gem install bundler --conservative -v $(awk '/BUNDLED WITH/ { getline; gsub(/ /,""); print $0 }' Gemfile.lock)
I, [2022-05-11T14:07:24.845234 #1]  INFO -- : Successfully installed bundler-2.3.13
1 gem installed

I, [2022-05-11T14:07:24.845439 #1]  INFO -- : > cd /var/www/discourse && find /var/www/discourse ! -user discourse -exec chown discourse {} \+
I, [2022-05-11T14:07:27.517048 #1]  INFO -- :
I, [2022-05-11T14:07:27.517620 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle install --deployment --retry 3 --jobs 4 --verbose --without test development'
[DEPRECATED] The `--deployment` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local deployment 'true'`, and stop using this flag
[DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local without 'test development'`, and stop using this flag
I, [2022-05-11T14:07:37.946246 #1]  INFO -- : Running `bundle install --deployment --jobs 4 --retry 3 --verbose --without "test" "development"` with bundler 2.3.13
Frozen, using resolution from the lockfile
The definition is missing ["actionmailer-7.0.3", "actionpack-7.0.3", "actionview-7.0.3", "activemodel-7.0.3", "activerecord-7.0.3", "activesupport-7.0.3", "railties-7.0.3", "mail-2.8.0.rc1", "aws-sdk-s3-1.114.0", "aws-sdk-sns-1.53.0", "excon-0.92.3", "nokogiri-1.13.6-x86_64-linux", "loofah-2.17.0", "sidekiq-6.4.2", "json_schemer-0.2.21", "logster-2.11.2", "net-http-0.2.2", "activejob-7.0.3", "net-imap-0.2.3", "net-pop-0.1.1", "net-smtp-0.3.1", "aws-sdk-core-3.130.2", "aws-sdk-kms-1.56.0", "aws-sigv4-1.5.0", "regexp_parser-2.4.0", "uri-0.11.0", "digest-3.1.0", "net-protocol-0.1.3", "strscan-3.0.3", "timeout-0.2.0", "aws-partitions-1.583.0", "oauth-0.5.10"]
HTTP GET https://index.rubygems.org/versions
HTTP 206 Partial Content https://index.rubygems.org/versions
HTTP GET https://index.rubygems.org/versions
HTTP 200 OK https://index.rubygems.org/versions
Fetching gem metadata from https://rubygems.org/
Looking up gems ["actionmailer", "actionpack", "actionview", "actionview_precompiler", "active_model_serializers", "activejob", "activemodel", "activerecord", "activesupport", "addressable", "annotate", "ast", "aws-eventstream", "aws-partitions", "aws-sdk-core", "aws-sdk-kms", "aws-sdk-s3", "aws-sdk-sns", "aws-sigv4", "barber", "better_errors", "binding_of_caller", "bootsnap", "builder", "bullet", "byebug", "cbor", "certified", "chunky_png", "coderay", "colored2", "concurrent-ruby", "connection_pool", "cose", "cppjieba_rb", "crack", "crass", "css_parser", "debug_inspector", "diff-lcs", "diffy", "digest", "discourse-ember-rails", "discourse-ember-source", "discourse-fonts", "discourse_dev_assets", "docile", "ecma-re-validator", "email_reply_trimmer", "ember-data-source", "ember-handlebars-template", "ember-source", "erubi", "excon", "execjs", "exifr", "fabrication", "faker", "fakeweb", "faraday", "faraday-em_http", "faraday-em_synchrony", "faraday-excon", "faraday-httpclient", "faraday-multipart", "faraday-net_http", "faraday-net_http_persistent", "faraday-patron", "faraday-rack", "faraday-retry", "fast_blank", "fast_xs", "fastimage", "ffi", "fspath", "gc_tracer", "globalid", "guess_html_encoding", "hana", "hashdiff", "hashie", "highline", "hkdf", "htmlentities", "http_accept_language", "i18n", "image_optim", "image_size", "in_threads", "ipaddr", "jmespath", "jquery-rails", "json", "json-schema", "json_schemer", "jwt", "kgio", "libv8-node", "listen", "literate_randomizer", "lograge", "logstash-event", "logstash-logger", "logster", "loofah", "lru_redux", "lz4-ruby", "mail", "maxminddb", "memory_profiler", "message_bus", "method_source", "mini_mime", "mini_portile2", "mini_racer", "mini_scheduler", "mini_sql", "mini_suffix", "minitest", "mocha", "msgpack", "multi_json", "multi_xml", "multipart-post", "mustache", "net-http", "net-imap", "net-pop", "net-protocol", "net-smtp", "nio4r", "nokogiri", "oauth", "oauth2", "oj", "omniauth", "omniauth-facebook", "omniauth-github", "omniauth-google-oauth2", "omniauth-oauth", "omniauth-oauth2", "omniauth-twitter", "openssl", "openssl-signature_algorithm", "optimist", "parallel", "parallel_tests", "parser", "pg", "progress", "pry", "pry-byebug", "pry-rails", "public_suffix", "puma", "r2", "racc", "rack", "rack-mini-profiler", "rack-protection", "rack-test", "rails-dom-testing", "rails-html-sanitizer", "rails_failover", "rails_multisite", "railties", "rainbow", "raindrops", "rake", "rb-fsevent", "rb-inotify", "rbtrace", "rchardet", "redis", "redis-namespace", "regexp_parser", "request_store", "rexml", "rinku", "rotp", "rqrcode", "rqrcode_core", "rspec", "rspec-core", "rspec-expectations", "rspec-html-matchers", "rspec-mocks", "rspec-rails", "rspec-support", "rss", "rswag-specs", "rubocop", "rubocop-ast", "rubocop-discourse", "rubocop-rspec", "ruby-prof", "ruby-progressbar", "ruby-readability", "ruby2_keywords", "rubyzip", "sanitize", "sassc", "sassc-rails", "seed-fu", "shoulda-matchers", "sidekiq", "simplecov", "simplecov-html", "simplecov_json_formatter", "sprockets", "sprockets-rails", "sshkey", "stackprof", "strscan", "test-prof", "thor", "tilt", "timeout", "tzinfo", "uglifier", "unf", "unf_ext", "unicode-display_width", "unicorn", "uniform_notifier", "uri", "uri_template", "webmock", "webpush", "xorcist", "yaml-lint", "zeitwerk"]
HTTP GET https://index.rubygems.org/info/activejob
HTTP GET https://index.rubygems.org/info/activerecord
HTTP GET https://index.rubygems.org/info/actionmailer
HTTP GET https://index.rubygems.org/info/actionpack
HTTP GET https://index.rubygems.org/info/activemodel
HTTP 206 Partial Content https://index.rubygems.org/info/activejob
HTTP GET https://index.rubygems.org/info/actionview
HTTP 206 Partial Content https://index.rubygems.org/info/actionview
HTTP 206 Partial Content https://index.rubygems.org/info/activerecord
HTTP GET https://index.rubygems.org/info/activesupport
HTTP 206 Partial Content https://index.rubygems.org/info/actionmailer
HTTP 206 Partial Content https://index.rubygems.org/info/actionpack
HTTP GET https://index.rubygems.org/info/aws-sdk-core
HTTP 206 Partial Content https://index.rubygems.org/info/activesupport
HTTP 206 Partial Content https://index.rubygems.org/info/activemodel
HTTP 206 Partial Content https://index.rubygems.org/info/aws-sdk-core
HTTP GET https://index.rubygems.org/info/aws-sdk-kms
HTTP GET https://index.rubygems.org/info/aws-partitions
HTTP 206 Partial Content https://index.rubygems.org/info/aws-sdk-kms
HTTP 206 Partial Content https://index.rubygems.org/info/aws-partitions
HTTP GET https://index.rubygems.org/info/aws-sigv4
HTTP GET https://index.rubygems.org/info/aws-sdk-s3
HTTP 206 Partial Content https://index.rubygems.org/info/aws-sigv4
HTTP 206 Partial Content https://index.rubygems.org/info/aws-sdk-s3
HTTP GET https://index.rubygems.org/info/discourse_dev_assets
HTTP GET https://index.rubygems.org/info/excon
HTTP GET https://index.rubygems.org/info/faraday
HTTP 206 Partial Content https://index.rubygems.org/info/excon
HTTP 206 Partial Content https://index.rubygems.org/info/faraday
HTTP GET https://index.rubygems.org/info/jwt
HTTP GET https://index.rubygems.org/info/json-schema
HTTP 206 Partial Content https://index.rubygems.org/info/jwt
HTTP 206 Partial Content https://index.rubygems.org/info/json-schema
HTTP GET https://index.rubygems.org/info/json_schemer
HTTP 206 Partial Content https://index.rubygems.org/info/json_schemer
HTTP GET https://index.rubygems.org/info/logster
HTTP GET https://index.rubygems.org/info/loofah
HTTP GET https://index.rubygems.org/info/mail
HTTP 206 Partial Content https://index.rubygems.org/info/loofah
HTTP 206 Partial Content https://index.rubygems.org/info/mail
HTTP GET https://index.rubygems.org/info/mocha
HTTP 206 Partial Content https://index.rubygems.org/info/mocha
HTTP GET https://index.rubygems.org/info/net-http
HTTP GET https://index.rubygems.org/info/nokogiri
HTTP GET https://index.rubygems.org/info/oauth
HTTP 206 Partial Content https://index.rubygems.org/info/nokogiri
HTTP GET https://index.rubygems.org/info/omniauth
HTTP 206 Partial Content https://index.rubygems.org/info/omniauth
HTTP 206 Partial Content https://index.rubygems.org/info/oauth
HTTP 206 Partial Content https://index.rubygems.org/info/discourse_dev_assets
HTTP GET https://index.rubygems.org/info/railties
HTTP GET https://index.rubygems.org/info/regexp_parser
HTTP 206 Partial Content https://index.rubygems.org/info/railties
HTTP 206 Partial Content https://index.rubygems.org/info/regexp_parser
HTTP GET https://index.rubygems.org/info/rubocop
HTTP 206 Partial Content https://index.rubygems.org/info/rubocop
HTTP GET https://index.rubygems.org/info/rubocop-rspec
HTTP 206 Partial Content https://index.rubygems.org/info/rubocop-rspec
HTTP 206 Partial Content https://index.rubygems.org/info/logster
HTTP GET https://index.rubygems.org/info/rspec-rails
HTTP 206 Partial Content https://index.rubygems.org/info/rspec-rails
HTTP GET https://index.rubygems.org/info/sidekiq
HTTP 206 Partial Content https://index.rubygems.org/info/sidekiq
HTTP 200 OK https://index.rubygems.org/info/net-http
HTTP GET https://index.rubygems.org/info/strscan
HTTP 206 Partial Content https://index.rubygems.org/info/strscan
HTTP GET https://index.rubygems.org/info/uri
HTTP GET https://index.rubygems.org/info/test-prof
HTTP GET https://index.rubygems.org/info/unf_ext
HTTP 206 Partial Content https://index.rubygems.org/info/test-prof
HTTP 206 Partial Content https://index.rubygems.org/info/unf_ext
HTTP 200 OK https://index.rubygems.org/info/uri
Looking up gems ["jsonapi", "case_transform", "jsonapi-renderer", "activemodel-globalid", "arel", "activerecord-deprecated_finders", "erubis", "rails-deprecated_sanitizer", "rack-mount", "rack-cache", "journey", "memcache-client", "thread_safe", "bcrypt-ruby", "jamespath", "http-2", "text-format", "ember-template-compiler-source", "handlebars-source", "rouge", "snappy", "columnize", "debugger-linecache", "slop", "rb-readline", "functional-ruby", "ref", "rdoc", "aws-crt", "safe_yaml", "pastel", "tty-pager", "tty-screen", "tty-tree", "rcov", "httpclient", "patron", "rake-compiler", "net-http-persistent", "termios", "rb-appscript", "xattr", "ffi-xattr", "json_pure", "rails", "rb-fchange", "rb-kqueue", "celluloid", "celluloid-io", "ruby_dep", "stud", "eventmachine", "thin", "rdf", "ruby_parser", "net-ftp", "libv8", "hoe", "metaclass", "io-wait", "mime-types", "treetop", "tlsmail", "faraday-middleware", "httpauth", "bigdecimal", "weakling", "mini_portile", "pkg-config", "oa-core", "oa-oauth", "oa-openid", "oa-basic", "oa-enterprise", "oa-more", "sexp_processor", "win32console", "yard", "spoon", "ruby-hmac", "pry-doc", "escape_utils", "trollop", "rack-ssl", "base32", "hpricot", "nokogumbo", "term-ansicolor", "backports", "powerpack", "astrolabe", "tins", "jaro_winkler", "psych", "bourne", "bundler", "sass", "compass", "sprockets-sass", "sinatra", "slim", "lockfile", "hike", "therubyracer", "webrat", "rspec-collection_matchers"]
HTTP GET https://index.rubygems.org/info/rails
HTTP 206 Partial Content https://index.rubygems.org/info/rails
HTTP GET https://index.rubygems.org/info/rake-compiler
HTTP 206 Partial Content https://index.rubygems.org/info/rake-compiler
HTTP GET https://index.rubygems.org/info/rdf
HTTP 206 Partial Content https://index.rubygems.org/info/rdf
HTTP GET https://index.rubygems.org/info/io-wait
HTTP 206 Partial Content https://index.rubygems.org/info/io-wait
HTTP GET https://index.rubygems.org/info/tins
HTTP 206 Partial Content https://index.rubygems.org/info/tins
HTTP GET https://index.rubygems.org/info/bundler
HTTP 206 Partial Content https://index.rubygems.org/info/bundler
Looking up gems ["jsonapi-parser", "ZenTest", "RubyInline", "multimap", "abstract", "atomic", "bcrypt", "text-hyphen", "snappy-jars", "ruby_core_source", "debugger-ruby_core_source", "equatable", "tty-color", "tty-which", "verse", "strings", "spruz", "win32-api", "dotenv", "nenv", "rspec-logsplit", "timers", "facter", "celluloid-essentials", "celluloid-extras", "celluloid-fsm", "celluloid-pool", "celluloid-supervision", "metriks", "daemons", "time", "ParseTree", "rubyforge", "gemcutter", "activeresource", "actionwebservice", "actioncable", "activestorage", "actionmailbox", "actiontext", "mime-types-data", "link_header", "hamster", "facets", "polyglot", "restclient", "rest-client", "rack-openid", "ruby-openid-apps-discovery", "net-ldap", "rubyntlm", "pyu-ruby-sasl", "uuid", "XMLCanonicalizer", "webrick", "curses", "jar-dependencies", "stringio", "sass-listen", "mongrel", "mustermann", "haml", "fssm", "compass-core", "compass-import-once", "sprockets-helpers", "temple", "sync"]
HTTP GET https://index.rubygems.org/info/actiontext
HTTP GET https://index.rubygems.org/info/activestorage
HTTP GET https://index.rubygems.org/info/actionmailbox
HTTP GET https://index.rubygems.org/info/actioncable
HTTP 206 Partial Content https://index.rubygems.org/info/actiontext
HTTP 206 Partial Content https://index.rubygems.org/info/actionmailbox
HTTP 206 Partial Content https://index.rubygems.org/info/activestorage
HTTP 206 Partial Content https://index.rubygems.org/info/actioncable
HTTP GET https://index.rubygems.org/info/stringio
HTTP 206 Partial Content https://index.rubygems.org/info/stringio
Looking up gems ["archive-tar-minitar", "unicode_utils", "strings-ansi", "dotenv-deployment", "hitimes", "CFPropertyList", "sys-admin", "win32-dir", "windows-api", "windows-pr", "win32-security", "hocon", "coveralls", "celluloid-gems", "test-unit", "rbtree", "faraday_middleware", "yajl-ruby", "avl_tree", "date", "SexpProcessor", "net-scp", "rails-observers", "activemodel-serializers-xml", "netrc", "http-cookie", "http-accept", "ruby-openid", "macaddr", "coffee-rails", "em-hiredis", "faye-websocket", "websocket-driver", "log4r", "ruby-maven", "cgi_multipart_eof_fix", "fastthread", "gem_plugin", "marcel", "mimemagic", "tool"]
Looking up gems ["libxml-ruby", "minitar", "minitar-cli", "colorize", "configuration", "mkrf", "ffi-win32-extensions", "net-ssh", "domain_name", "sqlite3", "ruby-yadis", "systemu", "power_assert", "websocket-extensions", "coffee-script", "roauth", "hiredis", "maven-tools", "ruby-maven-libs"]
HTTP GET https://index.rubygems.org/info/net-ssh
HTTP 206 Partial Content https://index.rubygems.org/info/net-ssh
Looking up gems ["powerbar", "pattern-match", "coffee-script-source", "virtus", "needle", "jruby-pageant", "bcrypt_pbkdf", "rbnacl", "rbnacl-libsodium"]
Looking up gems ["descendants_tracker", "axiom-types", "coercible", "equalizer", "ansi"]
Looking up gems ["adamantium", "ice_nine"]
Looking up gems ["memoizable"]
Using rake 13.0.6
0:  rake (13.0.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rake-13.0.6.gemspec
Using concurrent-ruby 1.1.10
2:  concurrent-ruby (1.1.10) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/concurrent-ruby-1.1.10.gemspec
Using minitest 5.15.0
2:  minitest (5.15.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/minitest-5.15.0.gemspec
Using builder 3.2.4
2:  builder (3.2.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/builder-3.2.4.gemspec
Using erubi 1.10.0
2:  erubi (1.10.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/erubi-1.10.0.gemspec
Using racc 1.6.0
Using crass 1.0.6
Using rack 2.2.3
Using mini_mime 1.1.2
2:  racc (1.6.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/racc-1.6.0.gemspec
3:  mini_mime (1.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_mime-1.1.2.gemspec
Fetching timeout 0.2.0
1:  crass (1.0.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/crass-1.0.6.gemspec
Fetching strscan 3.0.3
0:  rack (2.2.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-2.2.3.gemspec
Fetching digest 3.1.0
Using public_suffix 4.0.7
0:  public_suffix (4.0.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/public_suffix-4.0.7.gemspec
Using aws-eventstream 1.2.0
0:  aws-eventstream (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-eventstream-1.2.0.gemspec
Fetching aws-partitions 1.583.0
Installing timeout 0.2.0
Installing strscan 3.0.3 with native extensions
Installing digest 3.1.0 with native extensions
Installing aws-partitions 1.583.0
Building native extensions. This could take a while...
3:  timeout (0.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/timeout-0.2.0.gemspec
Using jmespath 1.6.1
3:  jmespath (1.6.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/jmespath-1.6.1.gemspec
Using ember-source 2.18.2
3:  ember-source (2.18.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ember-source-2.18.2.gemspec
Using execjs 2.8.1
3:  execjs (2.8.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/execjs-2.8.1.gemspec
Using msgpack 1.5.1
3:  msgpack (1.5.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/msgpack-1.5.1.gemspec
Using bundler 2.3.13
3:  bundler (2.3.13) from /usr/local/lib/ruby/gems/2.7.0/gems/bundler-2.3.13/lib/bundler/source
Using byebug 11.1.3
3:  byebug (11.1.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/byebug-11.1.3.gemspec
Using cbor 0.5.9.6
3:  cbor (0.5.9.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/cbor-0.5.9.6.gemspec
Using chunky_png 1.4.0
3:  chunky_png (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/chunky_png-1.4.0.gemspec
Using coderay 1.1.3
3:  coderay (1.1.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/coderay-1.1.3.gemspec
Using colored2 3.1.2
3:  colored2 (3.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/colored2-3.1.2.gemspec
Using connection_pool 2.2.5
3:  connection_pool (2.2.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/connection_pool-2.2.5.gemspec
Using ipaddr 1.2.4
3:  ipaddr (1.2.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ipaddr-1.2.4.gemspec
Using cppjieba_rb 0.4.2
3:  cppjieba_rb (0.4.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/cppjieba_rb-0.4.2.gemspec
Using diffy 3.4.0
3:  diffy (3.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/diffy-3.4.0.gemspec
Using method_source 1.0.0
3:  method_source (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/method_source-1.0.0.gemspec
Using thor 1.2.1
3:  thor (1.2.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/thor-1.2.1.gemspec
Using zeitwerk 2.5.4
3:  zeitwerk (2.5.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/zeitwerk-2.5.4.gemspec
Using discourse-ember-source 3.12.2.3
3:  discourse-ember-source (3.12.2.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/discourse-ember-source-3.12.2.3.gemspec
Using discourse-fonts 0.0.9
3:  discourse-fonts (0.0.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/discourse-fonts-0.0.9.gemspec
Fetching regexp_parser 2.4.0
0:  aws-partitions (1.583.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-partitions-1.583.0.gemspec
Using email_reply_trimmer 0.1.13
0:  email_reply_trimmer (0.1.13) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/email_reply_trimmer-0.1.13.gemspec
Fetching excon 0.92.3
Building native extensions. This could take a while...
Installing excon 0.92.3
Installing regexp_parser 2.4.0
0:  excon (0.92.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/excon-0.92.3.gemspec
Using exifr 1.3.9
0:  exifr (1.3.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/exifr-1.3.9.gemspec
Using faraday-em_http 1.0.0
0:  faraday-em_http (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-em_http-1.0.0.gemspec
Using faraday-em_synchrony 1.0.0
0:  faraday-em_synchrony (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-em_synchrony-1.0.0.gemspec
Using faraday-excon 1.1.0
0:  faraday-excon (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-excon-1.1.0.gemspec
Using faraday-httpclient 1.0.1
0:  faraday-httpclient (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-httpclient-1.0.1.gemspec
Using multipart-post 2.1.1
0:  multipart-post (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/multipart-post-2.1.1.gemspec
Using faraday-net_http 1.0.1
0:  faraday-net_http (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-net_http-1.0.1.gemspec
Using faraday-net_http_persistent 1.2.0
0:  faraday-net_http_persistent (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-net_http_persistent-1.2.0.gemspec
Using faraday-patron 1.0.0
0:  faraday-patron (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-patron-1.0.0.gemspec
Using faraday-rack 1.0.0
0:  faraday-rack (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-rack-1.0.0.gemspec
Using faraday-retry 1.0.3
0:  faraday-retry (1.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-retry-1.0.3.gemspec
Using ruby2_keywords 0.0.5
0:  ruby2_keywords (0.0.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ruby2_keywords-0.0.5.gemspec
Using fast_blank 1.0.1
0:  fast_blank (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/fast_blank-1.0.1.gemspec
Using fast_xs 0.8.0
0:  fast_xs (0.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/fast_xs-0.8.0.gemspec
Using fastimage 2.2.6
0:  fastimage (2.2.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/fastimage-2.2.6.gemspec
Using ffi 1.15.5
0:  ffi (1.15.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ffi-1.15.5.gemspec
Using fspath 3.1.2
0:  fspath (3.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/fspath-3.1.2.gemspec
Using gc_tracer 1.5.1
0:  gc_tracer (1.5.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/gc_tracer-1.5.1.gemspec
Using guess_html_encoding 0.0.11
0:  guess_html_encoding (0.0.11) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/guess_html_encoding-0.0.11.gemspec
Using hana 1.3.7
0:  hana (1.3.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/hana-1.3.7.gemspec
Using hashie 5.0.0
0:  hashie (5.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/hashie-5.0.0.gemspec
Using highline 2.0.3
0:  highline (2.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/highline-2.0.3.gemspec
Using hkdf 0.3.0
0:  hkdf (0.3.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/hkdf-0.3.0.gemspec
Using htmlentities 4.3.4
0:  htmlentities (4.3.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/htmlentities-4.3.4.gemspec
Using http_accept_language 2.1.1
0:  http_accept_language (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/http_accept_language-2.1.1.gemspec
Using image_size 3.0.1
0:  image_size (3.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/image_size-3.0.1.gemspec
Using in_threads 1.6.0
0:  in_threads (1.6.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/in_threads-1.6.0.gemspec
Using progress 3.6.0
0:  progress (3.6.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/progress-3.6.0.gemspec
Using json 2.6.1
0:  json (2.6.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/json-2.6.1.gemspec
Using uri_template 0.7.0
0:  uri_template (0.7.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/uri_template-0.7.0.gemspec
Using jwt 2.3.0
0:  jwt (2.3.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/jwt-2.3.0.gemspec
Using kgio 2.11.4
0:  kgio (2.11.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/kgio-2.11.4.gemspec
Using libv8-node 16.10.0.0 (x86_64-linux)
0:  libv8-node (16.10.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/libv8-node-16.10.0.0-x86_64-linux.gemspec
Using logstash-event 1.2.02
0:  logstash-event (1.2.02) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/logstash-event-1.2.02.gemspec
Fetching logster 2.11.2
3:  regexp_parser (2.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/regexp_parser-2.4.0.gemspec
Using lru_redux 1.1.0
3:  lru_redux (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/lru_redux-1.1.0.gemspec
Using lz4-ruby 0.3.3
3:  lz4-ruby (0.3.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/lz4-ruby-0.3.3.gemspec
Using maxminddb 0.1.22
3:  maxminddb (0.1.22) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/maxminddb-0.1.22.gemspec
Using memory_profiler 1.0.0
3:  memory_profiler (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/memory_profiler-1.0.0.gemspec
Using redis 4.5.1
3:  redis (4.5.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/redis-4.5.1.gemspec
Using mini_sql 1.4.0
3:  mini_sql (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_sql-1.4.0.gemspec
Using multi_json 1.15.0
3:  multi_json (1.15.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/multi_json-1.15.0.gemspec
Using multi_xml 0.6.0
3:  multi_xml (0.6.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/multi_xml-0.6.0.gemspec
Using mustache 1.1.1
3:  mustache (1.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mustache-1.1.1.gemspec
Fetching uri 0.11.0
Installing uri 0.11.0
Installing logster 2.11.2
3:  uri (0.11.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/uri-0.11.0.gemspec
Using nio4r 2.5.8
3:  nio4r (2.5.8) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/nio4r-2.5.8.gemspec
Fetching oauth 0.5.10
Installing oauth 0.5.10
3:  oauth (0.5.10) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/oauth-0.5.10.gemspec
Using oj 3.13.11
3:  oj (3.13.11) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/oj-3.13.11.gemspec
Using optimist 3.0.1
3:  optimist (3.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/optimist-3.0.1.gemspec
Using pg 1.3.5
3:  pg (1.3.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pg-1.3.5.gemspec
Using r2 0.2.7
3:  r2 (0.2.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/r2-0.2.7.gemspec
Using raindrops 0.20.0
3:  raindrops (0.20.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/raindrops-0.20.0.gemspec
Using rchardet 1.8.0
3:  rchardet (1.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rchardet-1.8.0.gemspec
Using rexml 3.2.5
3:  rexml (3.2.5) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rexml-3.2.5.gemspec
Using rinku 2.0.6
3:  rinku (2.0.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rinku-2.0.6.gemspec
Using rotp 6.2.0
3:  rotp (6.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rotp-6.2.0.gemspec
Using rqrcode_core 1.2.0
3:  rqrcode_core (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rqrcode_core-1.2.0.gemspec
Using rubyzip 2.3.2
3:  rubyzip (2.3.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rubyzip-2.3.2.gemspec
Using tilt 2.0.10
3:  tilt (2.0.10) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/tilt-2.0.10.gemspec
Using sshkey 2.0.0
3:  sshkey (2.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sshkey-2.0.0.gemspec
Using stackprof 0.2.19
3:  stackprof (0.2.19) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/stackprof-0.2.19.gemspec
Using unf_ext 0.0.8.1
3:  unf_ext (0.0.8.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/unf_ext-0.0.8.1.gemspec
Using xorcist 1.1.2
3:  xorcist (1.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/xorcist-1.1.2.gemspec
Using i18n 1.10.0
3:  i18n (1.10.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/i18n-1.10.0.gemspec
Using tzinfo 2.0.4
3:  tzinfo (2.0.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/tzinfo-2.0.4.gemspec
Fetching nokogiri 1.13.6 (x86_64-linux)
0:  logster (2.11.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/logster-2.11.2.gemspec
Using rack-test 1.1.0
0:  rack-test (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-test-1.1.0.gemspec
Using sprockets 3.7.2
0:  sprockets (3.7.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sprockets-3.7.2.gemspec
Using request_store 1.5.1
0:  request_store (1.5.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/request_store-1.5.1.gemspec
Using message_bus 4.2.0
0:  message_bus (4.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/message_bus-4.2.0.gemspec
Using rack-mini-profiler 3.0.0
0:  rack-mini-profiler (3.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-mini-profiler-3.0.0.gemspec
Using rack-protection 2.2.0
0:  rack-protection (2.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rack-protection-2.2.0.gemspec
Using addressable 2.8.0
0:  addressable (2.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/addressable-2.8.0.gemspec
Fetching aws-sigv4 1.5.0
Installing aws-sigv4 1.5.0
0:  aws-sigv4 (1.5.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sigv4-1.5.0.gemspec
Fetching net-protocol 0.1.3
Installing net-protocol 0.1.3
0:  net-protocol (0.1.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/net-protocol-0.1.3.gemspec
Using barber 0.12.2
0:  barber (0.12.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/barber-0.12.2.gemspec
Using bootsnap 1.11.1
0:  bootsnap (1.11.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/bootsnap-1.11.1.gemspec
Using ember-data-source 3.0.2
0:  ember-data-source (3.0.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ember-data-source-3.0.2.gemspec
Using uglifier 4.2.0
0:  uglifier (4.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/uglifier-4.2.0.gemspec
Using openssl 2.2.1
0:  openssl (2.2.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/openssl-2.2.1.gemspec
Using pry 0.13.1
0:  pry (0.13.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pry-0.13.1.gemspec
Using faraday-multipart 1.0.3
0:  faraday-multipart (1.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-multipart-1.0.3.gemspec
Using mini_suffix 0.3.3
0:  mini_suffix (0.3.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_suffix-0.3.3.gemspec
Using sassc 2.0.1
0:  sassc (2.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sassc-2.0.1.gemspec
Using omniauth 1.9.1
0:  omniauth (1.9.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-1.9.1.gemspec
Using image_optim 0.31.1
0:  image_optim (0.31.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/image_optim-0.31.1.gemspec
Using logstash-logger 0.26.1
0:  logstash-logger (0.26.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/logstash-logger-0.26.1.gemspec
Using mini_racer 0.6.2
0:  mini_racer (0.6.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_racer-0.6.2.gemspec
Using webpush 1.1.0
0:  webpush (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/webpush-1.1.0.gemspec
Using ecma-re-validator 0.4.0
0:  ecma-re-validator (0.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ecma-re-validator-0.4.0.gemspec
Fetching sidekiq 6.4.2
Installing sidekiq 6.4.2
1:  strscan (3.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/strscan-3.0.3.gemspec
Using redis-namespace 1.8.2
1:  redis-namespace (1.8.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/redis-namespace-1.8.2.gemspec
Fetching net-http 0.2.2
Installing net-http 0.2.2
1:  net-http (0.2.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/net-http-0.2.2.gemspec
Using puma 5.6.4
1:  puma (5.6.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/puma-5.6.4.gemspec
Using rbtrace 0.4.14
1:  rbtrace (0.4.14) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rbtrace-0.4.14.gemspec
Using unicorn 6.1.0
1:  unicorn (6.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/unicorn-6.1.0.gemspec
Using rss 0.2.9
1:  rss (0.2.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rss-0.2.9.gemspec
Using rqrcode 2.1.1
1:  rqrcode (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rqrcode-2.1.1.gemspec
Using unf 0.1.4
1:  unf (0.1.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/unf-0.1.4.gemspec
Fetching activesupport 7.0.3
Installing activesupport 7.0.3
0:  sidekiq (6.4.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sidekiq-6.4.2.gemspec
Using css_parser 1.11.0
0:  css_parser (1.11.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/css_parser-1.11.0.gemspec
Installing nokogiri 1.13.6 (x86_64-linux)
Fetching aws-sdk-core 3.130.2
Installing aws-sdk-core 3.130.2
1:  activesupport (7.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activesupport-7.0.3.gemspec
Using ember-handlebars-template 0.8.0
1:  ember-handlebars-template (0.8.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ember-handlebars-template-0.8.0.gemspec
Using openssl-signature_algorithm 1.1.1
1:  openssl-signature_algorithm (1.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/openssl-signature_algorithm-1.1.1.gemspec
Using pry-byebug 3.9.0
1:  pry-byebug (3.9.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pry-byebug-3.9.0.gemspec
Using pry-rails 0.3.9
1:  pry-rails (0.3.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/pry-rails-0.3.9.gemspec
Using faraday 1.10.0
1:  faraday (1.10.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/faraday-1.10.0.gemspec
Using omniauth-oauth 1.2.0
1:  omniauth-oauth (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-oauth-1.2.0.gemspec
Fetching json_schemer 0.2.21
0:  aws-sdk-core (3.130.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-core-3.130.2.gemspec
Using mini_scheduler 0.13.0
0:  mini_scheduler (0.13.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mini_scheduler-0.13.0.gemspec
Using globalid 1.0.0
0:  globalid (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/globalid-1.0.0.gemspec
Fetching activemodel 7.0.3
Installing json_schemer 0.2.21
Installing activemodel 7.0.3
1:  json_schemer (0.2.21) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/json_schemer-0.2.21.gemspec
Using cose 1.2.0
1:  cose (1.2.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/cose-1.2.0.gemspec
Using oauth2 1.4.7
1:  oauth2 (1.4.7) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/oauth2-1.4.7.gemspec
Using omniauth-twitter 1.4.0
1:  omniauth-twitter (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-twitter-1.4.0.gemspec
Fetching aws-sdk-kms 1.56.0
Installing aws-sdk-kms 1.56.0
1:  aws-sdk-kms (1.56.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-kms-1.56.0.gemspec
Fetching aws-sdk-sns 1.53.0
Installing aws-sdk-sns 1.53.0
0:  activemodel (7.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activemodel-7.0.3.gemspec
Fetching activejob 7.0.3
Installing activejob 7.0.3
1:  aws-sdk-sns (1.53.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-sns-1.53.0.gemspec
Using omniauth-oauth2 1.7.2
1:  omniauth-oauth2 (1.7.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-oauth2-1.7.2.gemspec
Fetching aws-sdk-s3 1.114.0
0:  activejob (7.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activejob-7.0.3.gemspec
Using active_model_serializers 0.8.4
0:  active_model_serializers (0.8.4) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/active_model_serializers-0.8.4.gemspec
Fetching activerecord 7.0.3
Installing aws-sdk-s3 1.114.0
Installing activerecord 7.0.3
1:  aws-sdk-s3 (1.114.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/aws-sdk-s3-1.114.0.gemspec
Using omniauth-facebook 9.0.0
1:  omniauth-facebook (9.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-facebook-9.0.0.gemspec
Using omniauth-github 1.4.0
1:  omniauth-github (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-github-1.4.0.gemspec
Using omniauth-google-oauth2 0.8.2
1:  omniauth-google-oauth2 (0.8.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/omniauth-google-oauth2-0.8.2.gemspec
3:  nokogiri (1.13.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/nokogiri-1.13.6-x86_64-linux.gemspec
Using rails-dom-testing 2.0.3
1:  rails-dom-testing (2.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails-dom-testing-2.0.3.gemspec
Fetching loofah 2.17.0
Using ruby-readability 0.7.0
3:  ruby-readability (0.7.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/ruby-readability-0.7.0.gemspec
Using sanitize 6.0.0
3:  sanitize (6.0.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sanitize-6.0.0.gemspec
Installing loofah 2.17.0
1:  loofah (2.17.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/loofah-2.17.0.gemspec
Using rails-html-sanitizer 1.4.2
3:  rails-html-sanitizer (1.4.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails-html-sanitizer-1.4.2.gemspec
Fetching actionview 7.0.3
Installing actionview 7.0.3
0:  activerecord (7.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/activerecord-7.0.3.gemspec
Using seed-fu 2.3.9
3:  seed-fu (2.3.9) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/seed-fu-2.3.9.gemspec
1:  actionview (7.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionview-7.0.3.gemspec
Fetching actionpack 7.0.3
Using actionview_precompiler 0.2.3
3:  actionview_precompiler (0.2.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionview_precompiler-0.2.3.gemspec
Installing actionpack 7.0.3
0:  actionpack (7.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionpack-7.0.3.gemspec
Using sprockets-rails 3.4.2
Fetching railties 7.0.3
3:  sprockets-rails (3.4.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sprockets-rails-3.4.2.gemspec
Installing railties 7.0.3
1:  railties (7.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/railties-7.0.3.gemspec
Using lograge 0.12.0
0:  lograge (0.12.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/lograge-0.12.0.gemspec
Using rails_failover 0.8.1
0:  rails_failover (0.8.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails_failover-0.8.1.gemspec
Using rails_multisite 4.0.1
0:  rails_multisite (4.0.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/rails_multisite-4.0.1.gemspec
Using sassc-rails 2.1.2
0:  sassc-rails (2.1.2) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/sassc-rails-2.1.2.gemspec
Using jquery-rails 4.4.0
1:  jquery-rails (4.4.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/jquery-rails-4.4.0.gemspec
Using discourse-ember-rails 0.18.6
0:  discourse-ember-rails (0.18.6) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/discourse-ember-rails-0.18.6.gemspec
2:  digest (3.1.0) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/digest-3.1.0.gemspec
Fetching net-pop 0.1.1
Fetching net-smtp 0.3.1
Fetching net-imap 0.2.3
Installing net-pop 0.1.1
Installing net-smtp 0.3.1
Installing net-imap 0.2.3
1:  net-smtp (0.3.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/net-smtp-0.3.1.gemspec
3:  net-pop (0.1.1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/net-pop-0.1.1.gemspec
0:  net-imap (0.2.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/net-imap-0.2.3.gemspec
Fetching mail 2.8.0.rc1
Installing mail 2.8.0.rc1
2:  mail (2.8.0.rc1) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/mail-2.8.0.rc1.gemspec
Fetching actionmailer 7.0.3
Installing actionmailer 7.0.3
1:  actionmailer (7.0.3) from /var/www/discourse/vendor/bundle/ruby/2.7.0/specifications/actionmailer-7.0.3.gemspec
Bundle complete! 126 Gemfile dependencies, 184 gems now installed.
Gems in the groups 'test' and 'development' were not installed.
Bundled gems are installed into `./vendor/bundle`

I, [2022-05-11T14:07:37.948353 #1]  INFO -- : > cd /var/www/discourse && [ ! -d 'node_modules' ] || su discourse -c 'yarn install --production && yarn cache clean'
warning "eslint-config-discourse > eslint-plugin-lodash@7.1.0" has unmet peer dependency "lodash@>=4".
warning " > @mixer/parallel-prettier@2.0.1" has unmet peer dependency "prettier@^2.0.0".
I, [2022-05-11T14:08:46.198477 #1]  INFO -- : yarn install v1.22.18
[1/5] Validating package.json...
[2/5] Resolving packages...
[3/5] Fetching packages...
[4/5] Linking dependencies...
[5/5] Building fresh packages...
$ yarn --cwd app/assets/javascripts/discourse
yarn install v1.22.18
[1/4] Resolving packages...
[2/4] Fetching packages...
[3/4] Linking dependencies...
[4/4] Building fresh packages...
success Saved lockfile.
Done in 39.22s.
Done in 62.80s.
yarn cache v1.22.18
success Cleared cache.
Done in 4.97s.

I, [2022-05-11T14:08:46.198919 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'LOAD_PLUGINS=0 bundle exec rake plugin:pull_compatible_all'
I, [2022-05-11T14:08:49.426465 #1]  INFO -- : docker_manager is already at latest compatible version

I, [2022-05-11T14:08:49.426894 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate'
2022-05-11 14:08:54.069 UTC [2322] discourse@discourse ERROR:  permission denied to create extension "unaccent"
2022-05-11 14:08:54.069 UTC [2322] discourse@discourse HINT:  Must be superuser to create this extension.
2022-05-11 14:08:54.069 UTC [2322] discourse@discourse STATEMENT:  CREATE EXTENSION IF NOT EXISTS unaccent
Cannot enable database extension unaccent
ERROR:  permission denied to create extension "unaccent"
HINT:  Must be superuser to create this extension.
2022-05-11 14:08:54.170 UTC [2322] discourse@discourse ERROR:  permission denied to create extension "unaccent"
2022-05-11 14:08:54.170 UTC [2322] discourse@discourse HINT:  Must be superuser to create this extension.
2022-05-11 14:08:54.170 UTC [2322] discourse@discourse STATEMENT:  CREATE EXTENSION IF NOT EXISTS "unaccent"
rake aborted!
StandardError: An error has occurred, this and all later migrations canceled:

PG::InsufficientPrivilege: ERROR:  permission denied to create extension "unaccent"
HINT:  Must be superuser to create this extension.
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rack-mini-profiler-3.0.0/lib/patches/db/pg.rb:69:in `exec_params'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rack-mini-profiler-3.0.0/lib/patches/db/pg.rb:69:in `exec_params'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:768:in `block (2 levels) in exec_no_cache'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/share_lock.rb:187:in `yield_shares'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/dependencies/interlock.rb:41:in `permit_concurrent_loads'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:767:in `block in exec_no_cache'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract_adapter.rb:765:in `block in log'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/notifications/instrumenter.rb:24:in `instrument'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract_adapter.rb:756:in `log'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:766:in `exec_no_cache'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:745:in `execute_and_clear'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql/database_statements.rb:54:in `exec_query'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:434:in `enable_extension'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:932:in `block in method_missing'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:900:in `block in say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:900:in `say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:921:in `method_missing'
/var/www/discourse/db/migrate/20220304162250_enable_unaccent_extension.rb:5:in `change'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:870:in `exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:9:in `block in exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:8:in `exec_migration'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:854:in `block (2 levels) in migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:853:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/connection_pool.rb:215:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:852:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1046:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1360:in `block in execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/transaction.rb:319:in `block in within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/transaction.rb:317:in `within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:316:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/transactions.rb:209:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1411:in `ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1359:in `execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1333:in `each'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1333:in `migrate_without_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1282:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1432:in `block in with_advisory_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/connection_pool.rb:215:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1447:in `with_advisory_lock_connection'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1428:in `with_advisory_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1282:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1117:in `up'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1092:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/tasks/database_tasks.rb:262:in `migrate'
/var/www/discourse/lib/tasks/db.rake:227:in `block (2 levels) in <main>'
/var/www/discourse/lib/distributed_mutex.rb:33:in `block in synchronize'
/var/www/discourse/lib/distributed_mutex.rb:29:in `synchronize'
/var/www/discourse/lib/distributed_mutex.rb:29:in `synchronize'
/var/www/discourse/lib/distributed_mutex.rb:14:in `synchronize'
/var/www/discourse/lib/tasks/db.rake:210:in `block in <main>'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rake-13.0.6/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:25:in `load'
/usr/local/bin/bundle:25:in `<main>'

Caused by:
ActiveRecord::StatementInvalid: PG::InsufficientPrivilege: ERROR:  permission denied to create extension "unaccent"
HINT:  Must be superuser to create this extension.
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rack-mini-profiler-3.0.0/lib/patches/db/pg.rb:69:in `exec_params'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rack-mini-profiler-3.0.0/lib/patches/db/pg.rb:69:in `exec_params'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:768:in `block (2 levels) in exec_no_cache'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/share_lock.rb:187:in `yield_shares'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/dependencies/interlock.rb:41:in `permit_concurrent_loads'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:767:in `block in exec_no_cache'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract_adapter.rb:765:in `block in log'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/notifications/instrumenter.rb:24:in `instrument'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract_adapter.rb:756:in `log'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:766:in `exec_no_cache'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:745:in `execute_and_clear'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql/database_statements.rb:54:in `exec_query'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:434:in `enable_extension'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:932:in `block in method_missing'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:900:in `block in say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:900:in `say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:921:in `method_missing'
/var/www/discourse/db/migrate/20220304162250_enable_unaccent_extension.rb:5:in `change'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:870:in `exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:9:in `block in exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:8:in `exec_migration'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:854:in `block (2 levels) in migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:853:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/connection_pool.rb:215:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:852:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1046:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1360:in `block in execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/transaction.rb:319:in `block in within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/transaction.rb:317:in `within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:316:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/transactions.rb:209:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1411:in `ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1359:in `execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1333:in `each'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1333:in `migrate_without_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1282:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1432:in `block in with_advisory_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/connection_pool.rb:215:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1447:in `with_advisory_lock_connection'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1428:in `with_advisory_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1282:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1117:in `up'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1092:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/tasks/database_tasks.rb:262:in `migrate'
/var/www/discourse/lib/tasks/db.rake:227:in `block (2 levels) in <main>'
/var/www/discourse/lib/distributed_mutex.rb:33:in `block in synchronize'
/var/www/discourse/lib/distributed_mutex.rb:29:in `synchronize'
/var/www/discourse/lib/distributed_mutex.rb:29:in `synchronize'
/var/www/discourse/lib/distributed_mutex.rb:14:in `synchronize'
/var/www/discourse/lib/tasks/db.rake:210:in `block in <main>'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rake-13.0.6/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:25:in `load'
/usr/local/bin/bundle:25:in `<main>'

Caused by:
PG::InsufficientPrivilege: ERROR:  permission denied to create extension "unaccent"
HINT:  Must be superuser to create this extension.
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rack-mini-profiler-3.0.0/lib/patches/db/pg.rb:69:in `exec_params'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rack-mini-profiler-3.0.0/lib/patches/db/pg.rb:69:in `exec_params'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:768:in `block (2 levels) in exec_no_cache'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/share_lock.rb:187:in `yield_shares'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/dependencies/interlock.rb:41:in `permit_concurrent_loads'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:767:in `block in exec_no_cache'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract_adapter.rb:765:in `block in log'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/notifications/instrumenter.rb:24:in `instrument'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract_adapter.rb:756:in `log'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:766:in `exec_no_cache'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:745:in `execute_and_clear'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql/database_statements.rb:54:in `exec_query'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/postgresql_adapter.rb:434:in `enable_extension'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:932:in `block in method_missing'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:900:in `block in say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:900:in `say_with_time'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:921:in `method_missing'
/var/www/discourse/db/migrate/20220304162250_enable_unaccent_extension.rb:5:in `change'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:870:in `exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:9:in `block in exec_migration'
/var/www/discourse/lib/freedom_patches/schema_migration_details.rb:8:in `exec_migration'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:854:in `block (2 levels) in migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:853:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/connection_pool.rb:215:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:852:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1046:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1360:in `block in execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/transaction.rb:319:in `block in within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in `block in synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `handle_interrupt'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activesupport-7.0.3/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in `synchronize'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/transaction.rb:317:in `within_new_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/database_statements.rb:316:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/transactions.rb:209:in `transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1411:in `ddl_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1359:in `execute_migration_in_transaction'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1333:in `each'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1333:in `migrate_without_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1282:in `block in migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1432:in `block in with_advisory_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/connection_adapters/abstract/connection_pool.rb:215:in `with_connection'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1447:in `with_advisory_lock_connection'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1428:in `with_advisory_lock'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1282:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1117:in `up'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/migration.rb:1092:in `migrate'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/activerecord-7.0.3/lib/active_record/tasks/database_tasks.rb:262:in `migrate'
/var/www/discourse/lib/tasks/db.rake:227:in `block (2 levels) in <main>'
/var/www/discourse/lib/distributed_mutex.rb:33:in `block in synchronize'
/var/www/discourse/lib/distributed_mutex.rb:29:in `synchronize'
/var/www/discourse/lib/distributed_mutex.rb:29:in `synchronize'
/var/www/discourse/lib/distributed_mutex.rb:14:in `synchronize'
/var/www/discourse/lib/tasks/db.rake:210:in `block in <main>'
/var/www/discourse/vendor/bundle/ruby/2.7.0/gems/rake-13.0.6/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:25:in `load'
/usr/local/bin/bundle:25:in `<main>'
Tasks: TOP => db:migrate
(See full trace by running task with --trace)
I, [2022-05-11T14:08:54.216922 #1]  INFO -- : == 20220304162250 EnableUnaccentExtension: migrating ==========================
-- enable_extension("unaccent")

I, [2022-05-11T14:08:54.217782 #1]  INFO -- : Terminating async processes
I, [2022-05-11T14:08:54.218017 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/10/bin/postmaster -D /etc/postgresql/10/main pid: 1711
I, [2022-05-11T14:08:54.218280 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 1828
2022-05-11 14:08:54.218 UTC [1711] LOG:  received fast shutdown request
1828:signal-handler (1652278134) Received SIGTERM scheduling shutdown...
2022-05-11 14:08:54.225 UTC [1711] LOG:  aborting any active transactions
1828:M 11 May 2022 14:08:54.225 # User requested shutdown...
1828:M 11 May 2022 14:08:54.225 * Saving the final RDB snapshot before exiting.
2022-05-11 14:08:54.230 UTC [1711] LOG:  worker process: logical replication launcher (PID 1720) exited with exit code 1
2022-05-11 14:08:54.230 UTC [1715] LOG:  shutting down
2022-05-11 14:08:54.278 UTC [1711] LOG:  database system is shut down
1828:M 11 May 2022 14:08:59.886 * DB saved on disk
1828:M 11 May 2022 14:08:59.886 # Redis is now ready to exit, bye bye...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate' failed with return #<Process::Status: pid 2308 exit 1>
Location of failure: /usr/local/lib/ruby/gems/2.7.0/gems/pups-1.1.1/lib/pups/exec_command.rb:117:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"db_migrate", "cmd"=>["su discourse -c 'bundle exec rake db:migrate'"]}
bootstrap failed with exit code 1
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
d7426e43b03ecac2ce69c47ac61a325e417e97501137e4e2b58a5bec76db34dd

That error is coming from a migration which is technically correct. There is probably something else that is going wrong with your config.

You can probably try adding this to your configuration (usually app.yml) under hooks: (similar to how you would install a plugin).

  after_postgres:
    - exec: su postgres -c 'psql discourse -c "create extension if not exists unaccent;"'

This will create the extension you need as the postgres superuser.

1 Like

So PG10 is still supported?

Not really, the solution above is just a workaround and we are focusing our optimization efforts just for the latest version of Postgres. It’s not even guaranteed it will work and there is a chance future updates will break the site again.

Does it make sense to keep offering bandaids for PG10 at all then?

It just creates a bigger burden down the line, particularly if fixes such as the above suggest that it’s still supportable to some extent.

3 Likes